#include <Servo.h> 

// CdS cell reference values
//  (you need to experiment)
const int ambient = 600;
const int threshold = 800;

int lightLeft = 0;
int lightRight = 0;

Servo servoLeft;
Servo servoRight;

void setup() { 
  servoLeft.attach(9);
  servoRight.attach(10);
} 

void loop() { 
  // Read light sensors connected to 
  //  analog pins A0 and A1
  lightLeft = analogRead(A1);
  lightRight = analogRead(A0);

  // Stop robot if below ambient
  if (lightRight < ambient || lightLeft < ambient) {
    stopRobot();
  } else {
     forward();
    // Steer to Left if right CdS below threshold
    if (lightRight < threshold) {
      turnLeft();
      delay (250);
    }
    // Steer to right if left CdS below threshold
    forward();
    if (lightLeft < threshold) {
      turnRight();
      delay (250);
    }
  }
}

// Motion routines
void forward() {
  servoLeft.write(0);
  servoRight.write(180);
}

void reverse() {
  servoLeft.write(0);
  servoRight.write(180);
}

void turnRight() {
  servoLeft.write(180);
  servoRight.write(180);
}

void turnLeft() {
  servoLeft.write(0);
  servoRight.write(0);
}

void stopRobot() {
  servoLeft.write(90);
  servoRight.write(90);
}


